// Required
@import "bootstrap/scss/functions";
@import "bootstrap/scss/variables";
@import "bootstrap/scss/variables-dark";
@import "bootstrap/scss/maps";
@import "bootstrap/scss/mixins";
@import "bootstrap/scss/utilities";
@import "bootstrap/scss/root";
// @import "bootstrap/scss/reboot";

// @import "bootstrap/scss/type";
// @import "bootstrap/scss/images";
@import "bootstrap/scss/containers";
@import "bootstrap/scss/grid";
// @import "bootstrap/scss/tables";
@import "bootstrap/scss/forms";
@import "bootstrap/scss/buttons";
@import "bootstrap/scss/transitions";
//@import "bootstrap/scss/dropdown";
@import "bootstrap/scss/button-group";
// @import "bootstrap/scss/nav";
// @import "bootstrap/scss/navbar"; // Requires nav
@import "bootstrap/scss/card";
// @import "bootstrap/scss/breadcrumb";
// @import "bootstrap/scss/accordion";
@import "bootstrap/scss/pagination";
// @import "bootstrap/scss/badge";
@import "bootstrap/scss/alert";
// @import "bootstrap/scss/progress";
// @import "bootstrap/scss/list-group";
// @import "bootstrap/scss/close";
// @import "bootstrap/scss/toasts";
// @import "bootstrap/scss/modal"; // Requires transitions
// @import "bootstrap/scss/tooltip";
// @import "bootstrap/scss/popover";
// @import "bootstrap/scss/carousel";
// @import "bootstrap/scss/spinners";
//@import "bootstrap/scss/offcanvas"; // Requires transitions
@import "bootstrap/scss/placeholders";

// Helpers
// @import "bootstrap/scss/helpers";

// Utilities
@import "bootstrap/scss/utilities/api";


//
// Custom styles
//

// @import "icon-list";

.card-body {
  color: var(--c-text);

  h3 {
    margin-top: 0 !important;
  }
}

[data-bs-theme=dark] {
  --bs-body-bg: var(--c-bg);
  --bs-card-bg: var(--c-bg);
  --bs-secondary-bg-subtle: var(--c-bg-light);
}

.btn-outline-secondary {
  --bs-btn-color: var(--bs-gray-600);
  --bs-btn-active-color: var(--c-text);
  --bs-btn-hover-color: var(--c-text);
  --bs-btn-active-bg: var(--c-bg-dark);
  --bs-btn-active-border-color: var(--c-bg-dark);
  --bs-btn-border-color: var(--c-bg-dark);
  --bs-btn-hover-bg: var(--c-bg-dark);
  --bs-btn-hover-border-color: var(--c-bg-dark);
  border-width: 0;
}

.btn-outline-primary {
  [data-bs-theme=dark] & {
    --bs-btn-color: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-hover-bg: var(--bs-primary);
  }
}

.alert-secondary {
  --bs-alert-border-color: var(--bs-border-color);
  border-left: 0.4rem solid var(--bs-primary, var(--bs-gray-300));
}
